﻿@model SSCMvc.Models.Tb_VisaPayment

@{
    ViewBag.Title = "Edit";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Edit</h2>

@using (Html.BeginForm()) {
    @Html.ValidationSummary(true)

    <fieldset>
        <legend>Tb_VisaPayment</legend>

        @Html.HiddenFor(model => model.Id)

        <div class="editor-label">
            @Html.LabelFor(model => model.StudentId)
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.StudentId)
            @Html.ValidationMessageFor(model => model.StudentId)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.StudentType)
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.StudentType)
            @Html.ValidationMessageFor(model => model.StudentType)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.AmountPaid)
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.AmountPaid)
            @Html.ValidationMessageFor(model => model.AmountPaid)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.PaymentMode)
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.PaymentMode)
            @Html.ValidationMessageFor(model => model.PaymentMode)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.ChequeNo)
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.ChequeNo)
            @Html.ValidationMessageFor(model => model.ChequeNo)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.ChequeDate)
        </div>
        <div class="editor-field">
            @Html.TextBoxFor(model => model.ChequeDate, "{0: MM/dd/yyyy}")
            @Html.ValidationMessageFor(model => model.ChequeDate)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.BankName)
        </div>
        <div class="editor-field">
            @Html.EditorFor(model => model.BankName)
            @Html.ValidationMessageFor(model => model.BankName)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.UserId, "User")
        </div>
        <div class="editor-field">
            @Html.DropDownList("UserId", String.Empty)
            @Html.ValidationMessageFor(model => model.UserId)
        </div>

        <div class="editor-label">
            @Html.LabelFor(model => model.BranchId, "MaBranch")
        </div>
        <div class="editor-field">
            @Html.DropDownList("BranchId", String.Empty)
            @Html.ValidationMessageFor(model => model.BranchId)
        </div>

        <p>
            <input type="submit" value="Save" />
        </p>
    </fieldset>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}
